/* ---------------------------------------------------
  :root カスタムプロパティ
--------------------------------------------------- */
:root {
	--gothic: "Noto Sans JP", sans-serif;

	--blk: 98, 95, 95;
	--blk: 112, 112, 112;
	--wht: 255, 255, 255;
	--gry: 162, 162, 162;
	--pnk: 252, 168, 171;
	--red: 220, 71, 78;
	--brn: 211, 173, 145;
	--yel: 252, 241, 179;
	--nav: 247, 242, 243;

	--pageTop-right: 1rem;
	--pageTop-bottom: 1rem;
}

/* ---------------------------------------------------
  HTML / BODY 基本
--------------------------------------------------- */
html {
	font-size: 62.5%;
	scroll-behavior: smooth;
	scroll-padding-top: min(9rem, 7.031vw);
}

@media screen and (max-width: 768px) {
	html {
		scroll-padding-top: 16vw;
	}
}

body {
	background: rgb(var(--wht));
	color: rgb(var(--blk));
	font-family: var(--gothic);
	line-height: 1.8;
	font-feature-settings: "palt"1;
	font-optical-sizing: auto;
	letter-spacing: 0.05em;
	font-weight: 400;
}

:where(input, select, textarea, button, label) {
	font: inherit;
	color: inherit;
	background: none;
	border: none;
	outline: none;
	appearance: none;
	-webkit-appearance: none;
	-moz-appearance: none;
}

:where(a) {
	color: inherit;
	text-decoration: underline;
	transition: all 0.5s ease 0s;
}

:where(a:hover) {
	text-decoration: none;
	opacity: 0.6;
}